#!/bin/sh
grep Dingbats fonts.scale | sed -e 's/Zapf Dingbats/Dingbats/' - >> fonts.scale
grep iso8859-2 fonts.scale | xargs -d '\n' -Ixxx \
  echo xxx | awk '{sub("iso8859-2","iso8859-9");print;
		  sub("iso8859-9","iso8859-13");print;
		  sub("iso8859-13","iso10646-1");print;
		  sub("iso10646-1","adobe-standard");print}' - >> fonts.scale
grep 'Chancery.*iso8859-2' fonts.scale | xargs -d '\n' -Ixxx \
  echo xxx | awk '{sub("iso8859-2","iso8859-15");print;
		  sub("iso8859-15","koi8-r");print;
		  sub("koi8-r","koi8-u");print;
		  sub("koi8-u","microsoft-cp1251");print}' - >> fonts.scale
grep urw-fontspecific fonts.scale | xargs -d '\n' -Ixxx \
  echo xxx | awk '{sub("urw-fontspecific","adobe-fontspecific");print;
		  sub("adobe-fontspecific","iso10646-1");print}' - >> fonts.scale

grep -v 'urw-fontspecific' fonts.scale > fonts.scale.tmp1

sed -e 's/demi /semi/' fonts.scale.tmp1 > fonts.scale.tmp2
sed -e 's/demi/semi/' fonts.scale.tmp2 > fonts.scale.tmp1
sed -e 's/-book/-medium/' fonts.scale.tmp1 > fonts.scale.tmp2
sed -e 's/Helvetica-bold-o-normal/Helvetica-bold-i-normal/' fonts.scale.tmp2 > fonts.scale.tmp1
sed -e 's/Helvetica-medium-o-normal/Helvetica-medium-i-normal/' fonts.scale.tmp1 > fonts.scale.tmp2
sed -e 's/Nimbus Sans L-bold-o/Nimbus Sans L-bold-i/' fonts.scale.tmp2 > fonts.scale.tmp1
sed -e 's/Nimbus Sans L-medium-o/Nimbus Sans L-medium-i/' fonts.scale.tmp1 > fonts.scale.tmp2
sed -e 's/light/medium/' fonts.scale.tmp2 > fonts.scale.tmp1
sed -e 's/Bookman-semibold/Bookman-bold/' fonts.scale.tmp1 > fonts.scale.tmp2
sed -e 's/Bookman L-semibold/Bookman L-bold/' fonts.scale.tmp2 > fonts.scale
perl -pi -e 's/Nimbus Sans L(.*)condensed/Nimbus Sans L Condensed\1condensed/' fonts.scale
perl -pi -e 's/-URW-([^ ]*) L/-URW-URW \1 L/' fonts.scale

sort -k 2 fonts.scale > fonts.scale.sorted

adobe_fonts='Avantgarde|Bookman-|New Century Schoolbook|Helvetica|Times|Courier|Palatino|Symbol-|Zapf'
egrep "$adobe_fonts" fonts.scale.sorted > fonts.scale.adobe
egrep -v "$adobe_fonts|^[0-9]" fonts.scale.sorted > fonts.scale

wc -l fonts.scale | awk '{print $1}' - | cat - fonts.scale > fonts.count
wc -l fonts.scale.adobe | awk '{print $1}' - | cat - fonts.scale.adobe > fonts.count.adobe
mv -f fonts.count fonts.scale
mv -f fonts.count.adobe fonts.scale.adobe
