%define upstream_version 1.0.7pre44

Summary:	The 35 standard PostScript fonts
Name:		urw-fonts
Version:	2.4
Release:	%mkrel 9

Source0:	%{name}-%{upstream_version}.tar.bz2
Source1:	fonts.alias
Source2:	copypfb.ff
Source3:	fonts.scale.sh

License:	GPLv2
Group:		System/Fonts/Type1
URL:		http://svn.ghostscript.com/ghostscript/tags/%{name}-%{upstream_version}/
BuildArch:	noarch
BuildRequires:	fontforge
BuildRequires:	perl

%description 
Free, good quality versions of the 35 standard PostScript(TM) fonts,
donated under the GPL by URW++ Design and Development GmbH.  The
fonts.dir file font names match the original Adobe names of the fonts
(e.g., Times, Helvetica, etc.).

Install the urw-fonts package if you need free versions of standard
PostScript fonts.

The fonts provided are:
URW-Avantgarde
URW-Bookman
URW Chancery
URW-Century Schoolbook
URW-Courier
URW-Dingbats
URW-Gothic
URW-Helvetica
URW-New Century Schoolbook
URW-Nimbus Sans
URW-Nimbus Roman No9
URW-Nimbus Mono
URW-Palatino
URW Palladio
URW-Standard Symbols
URW-Symbol
URW-Times
URW-Zapf Chancery
URW-Zapf Dingbats

%prep
%setup -q -n %{name}-%{upstream_version}
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} .
chmod +x copypfb.ff fonts.scale.sh

%build
# Resave PFB fonts, so /FontBBox will result as executable array
mkdir fixed
for i in *.pfb; do
	./copypfb.ff $i fixed/`basename $i`
done

%install
mkdir -p %{buildroot}%{_datadir}/fonts/default/Type1 \
	%{buildroot}%{_datadir}/fonts/default/Type1/adobestd35

# install URW fonts
install -m 644	fixed/*.afm \
		fixed/*.pfm \
		fixed/*.pfb \
			%{buildroot}%{_datadir}/fonts/default/Type1/
# install fonts.scale/fonts.dir
./fonts.scale.sh
install -m 644 fonts.scale \
			%{buildroot}%{_datadir}/fonts/default/Type1/
install -m 644 fonts.scale \
			%{buildroot}%{_datadir}/fonts/default/Type1/fonts.dir
install -m 644 fonts.scale.adobe \
	%{buildroot}%{_datadir}/fonts/default/Type1/adobestd35/fonts.scale
install -m 644 fonts.scale.adobe \
	%{buildroot}%{_datadir}/fonts/default/Type1/adobestd35/fonts.dir

cd %{buildroot}%{_datadir}/fonts/default/Type1/adobestd35
for i in ../*.pfb ../*.afm ../*.pfm; do \
	ln -s $i
done

(cd %{buildroot}/usr/share/fonts/default/Type1
# X.org's mkfontdir messes up encoding order, using alphabetical one,
# so for now comment the next line.
#    mkfontdir .
)

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/default/Type1 \
    %{buildroot}%_sysconfdir/X11/fontpath.d/type1-urw-fonts:pri=50
ln -s ../../..%_datadir/fonts/default/Type1/adobestd35 \
    %{buildroot}%_sysconfdir/X11/fontpath.d/type1-urw-fonts-adobestd35:pri=50

%files
%defattr(0644,root,root,0755)
%doc README ChangeLog COPYING
%dir %{_datadir}/fonts/default/
%dir %{_datadir}/fonts/default/Type1
%dir %{_datadir}/fonts/default/Type1/adobestd35
%{_datadir}/fonts/default/Type1/fonts.dir
%{_datadir}/fonts/default/Type1/fonts.scale
%{_datadir}/fonts/default/Type1/*.afm
%{_datadir}/fonts/default/Type1/*.pfb
%{_datadir}/fonts/default/Type1/*.pfm
%{_datadir}/fonts/default/Type1/adobestd35/*.afm
%{_datadir}/fonts/default/Type1/adobestd35/*.pfb
%{_datadir}/fonts/default/Type1/adobestd35/*.pfm
%{_datadir}/fonts/default/Type1/adobestd35/fonts.dir
%{_datadir}/fonts/default/Type1/adobestd35/fonts.scale
%{_sysconfdir}/X11/fontpath.d/type1-urw-fonts:pri=50
%{_sysconfdir}/X11/fontpath.d/type1-urw-fonts-adobestd35:pri=50


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.4-9.mga8
+ Revision: 1501225
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.4-8.mga7
+ Revision: 1276942
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.4-7.mga6
+ Revision: 944153
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.4-6.mga5
+ Revision: 747857
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4-5.mga5
+ Revision: 690088
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.4-4.mga4
+ Revision: 519917
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.4-3.mga3
+ Revision: 385140
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 21 2012 luigiwalser <luigiwalser> 2.4-2.mga2
+ Revision: 211307
- add line count to fonts.scale

* Sun Feb 19 2012 luigiwalser <luigiwalser> 2.4-1.mga2
+ Revision: 210990
- new upstream version 1.0.7pre44
- moved font normalization script copypfb.ff to a separate file
- replaced patch 1 that creates the fonts.alias file with the file itself
- replaced patches 0, 2, 3 that normalize fonts.scale with a script
- removed upstreamed patch 4
- spec cleanups

* Mon Jan 17 2011 pterjan <pterjan> 2.0-28.mga1
+ Revision: 21096
- SILENCE fix previous commit
- Always rebuild the font

* Wed Jan 12 2011 pterjan <pterjan> 2.0-27.mga1
+ Revision: 7204
- imported package urw-fonts


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0-27mdv2011.0
+ Revision: 608117
- rebuild

* Wed Jan 20 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.0-26mdv2010.1
+ Revision: 494169
- fc-cache is now called by an rpm filetrigger

* Fri Dec 18 2009 Stéphane Téletchéa <steletch@mandriva.org> 2.0-25mdv2010.1
+ Revision: 479953
- Update description, fixes bug 23857

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 2.0-25mdv2010.0
+ Revision: 450401
- add bootstrap flag for fontconfig (from Arnaud Patard)
- drop incorrect XFree86 buildrequire (from Arnaud Patard)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.0-24mdv2010.0
+ Revision: 427484
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2.0-23mdv2009.1
+ Revision: 351446
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.0-22mdv2009.0
+ Revision: 225909
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.0-21mdv2008.1
+ Revision: 171157
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix URL

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 25 2007 Andreas Hasenack <andreas@mandriva.com> 2.0-20mdv2008.0
+ Revision: 92914
+ rebuild (emptylog)

* Mon Sep 24 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.0-19mdv2008.0
+ Revision: 92673
- revert previous change (r54804: use type1/ as the destination
  dir, not Type1/). Some applications (or libraries) have a hardcoded
  reference to Type1/ and can't find the fonts if they're not there
  (at least xpdf and Imagemagick are broken, see #34054).

* Mon Jul 23 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.0-18mdv2008.0
+ Revision: 54804
- use type1/ as the destination dir, not Type1/
  (minor font paths cleanup)

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.0-17mdv2008.0
+ Revision: 48750
- fontpath.d conversion (#31756)
- minor cleanups


* Thu Mar 16 2006 Giuseppe Ghibà <ghibo@mandriva.com> 2.0-16.1mdk
- Fixed z003034l.pfb, due to broken //UniqueID line.

* Sat Mar 11 2006 Giuseppe Ghibò <ghibo@mandriva.com> 2.0-16mdk
- Fake FontBBox to match the one in original ghostscript-fonts-std-8.11
  (fix bug #21017, #13080).

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0-15.3mdk
- don't package any fontconfig cache
- fix fc-cache call

* Sun Oct 16 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0-15.2mdk
- Requires(post & postun)
- %%mkrel
- fix date in previous changelog

* Mon Jun 27 2005 Giuseppe Ghibò <ghibo@mandriva.com> 2.0-15.1mdk
- Copy forgotten Source5 archive (with fixed mono fonts) into install tree.

* Sat Feb 12 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 2.0-15mdk
- Use Filippov's version 1.0.7pre40.
- Fix bug #12493 (added Source5 with fixed fonts).
- Change '-URW-Courier' to spacing 'm' instead of 'p' in 
  adobestd35/fonts.dir|scale.
- Use monospacing in 'Nimbus Mono L' fonts in
  adobestd35/fonts.dir|scale.
- Removed fonts.alias for monospace.

* Sat Aug 07 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 2.0-14mdk
- Use Filippov's version 1.0.7pre35.

* Thu Aug 05 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 2.0-13mdk
- Added Patch4 to have Adobe names in a standalone fonts.dir
  to avoid confusion with OOo.
- Added links into %%{_datadir}/default/fonts/Type1/adobestd35.

* Sat Jul 31 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 2.0-12mdk
- Added Source1 (Filippov's URW fonts version 1.0.7pre33).
- Dropped Mashrab Kuratov Source3 (merged into Valek Filippov fonts).
- Dropped Source2 (bold nimbus, merged into Filippov fonts).
- Rebuilt Source4 and fixing weight of some font from Demibold to DemiBold
  (avoid problems with mkfontscale).
- Removing trailing space (Source4) from "URW Chancery L " FamilyName.
- Added Patch2 so to list Adobe 35 std font names before URW.

* Thu Jan 29 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 2.0-11mdk
- Added %%build_rebuild conditional building flag.
- Fixed fonts for bug http://bugs.mandrakelinux.com/query.php?bug=94.
- Dropped Source1: fonts from 
  ftp://ftp.gnome.ru/fonts/urw/release/urw-fonts-1.0.7pre22.tar.bz2
  and new ghostscript-fonts-std-8.11.tar.bz2 are identical, so take the gs one.
- Rebuilt Patch0.

* Mon Aug 25 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-10mdk
- Add Source3: improved versions of some fonts (added missing cyrillic
  glyphs) by Mashrab Kuvatov

